[Sat6] "WARNING: Unresolved specs during Gem::Specification.reset: multi_json (>= 1.3.6) " when upgrading Satellite

Solution Verified - Updated -

Issue

  • There are two different scenarios where this error can be observed.
  • When Changing the Proxy details in the Satellite server from old to new;
satellite-installer --katello-proxy-url=https://proxy1.exmaple.com --katello-proxy-port=10194

      WARN: Unresolved specs during Gem::Specification.reset:
      multi_json (>= 1.3.6)
      WARN: Clearing out unresolved specs.
  • When upgrading Satellite 6, it gives a warning;
# satellite-installer --scenario satellite --upgrade

WARN: Unresolved specs during Gem::Specification.reset:

      multi_json (>= 1.3.6)

WARN: Clearing out unresolved specs.

Please report a bug if this causes problems.

Environment

  • Satellite 6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In